Subject: Re: linux-next: manual merge of the staging tree with the devicetree tree

From: Greg KH <[email-masked]>
Date: Fri, 20 Jan 2017 09:30:22 +0100

On Thu, Jan 19, 2017 at 09:17:01PM -0600, Rob Herring wrote:
> On Thu, Jan 19, 2017 at 8:55 PM, Stephen Rothwell <[email-masked]> wrote:
> > Hi Greg,
> >
> > Today's linux-next merge of the staging tree got a conflict in:
> >
> >   Documentation/devicetree/bindings/vendor-prefixes.txt
> >
> > between commit:
> >
> >   566088d1d2a0 ("devicetree: Add Fujitsu Ltd. vendor prefix")
> >
> > from the devicetree tree and commit:
> >
> >   9b27c270d403 ("devicetree: add Garmin vendor prefix")
> >
> > from the staging tree.
> >
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> >
> > --
> > Cheers,
> > Stephen Rothwell
> >
> > diff --cc Documentation/devicetree/bindings/vendor-prefixes.txt
> > index 14fd1c24e1f0,b34463b12382..000000000000
> > --- a/Documentation/devicetree/bindings/vendor-prefixes.txt
> > +++ b/Documentation/devicetree/bindings/vendor-prefixes.txt
> > @@@ -107,7 -108,7 +108,8 @@@ firefly    Firefl
> >   focaltech     FocalTech Systems Co.,Ltd
> >   friendlyarm   Guangzhou FriendlyARM Computer Tech Co., Ltd
> >   fsl   Freescale Semiconductor
> >  +fujitsu       Fujitsu Ltd.
> > + grmn  Garmin Limited
> 
> Ugg. This didn't get sorted correctly when changed from garmin to grmn...

Ick, sorry I missed that, I'll go queue up a patch to fix it in the
staging tree.

greg k-h